Weav

List article revisions

GET https://api.weav.com/v1/kb-articles/{id}/revisions

Requires a token with the external-api:read or external-api:write ability.

Path parameters

idstringrequired

Format: uuid.

Query parameters

localestring

Maximum length: 10.

per_pageintegerDefault: 15

Minimum: 1.

Maximum: 100.

pageintegerDefault: 1

Minimum: 1.

Request

cURL
curl --request GET \
  --url 'https://api.weav.com/v1/kb-articles/{id}/revisions' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
JavaScript
const response = await fetch("https://api.weav.com/v1/kb-articles/{id}/revisions", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/kb-articles/{id}/revisions", headers=headers)
print(response.json())
PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/kb-articles/{id}/revisions', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();

Response

200 OK
{
    "data": [
        {
            "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "locale": "en",
            "title": "string",
            "slug": "string",
            "content": "string",
            "excerpt": "string",
            "created_by_user_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "mcp_client_name": "string",
            "created_at": "2026-01-01T00:00:00Z"
        }
    ]
}
  • 404 Not Found
  • 401 Unauthorized

Response fields

idstring

Format: uuid.

localestring
titlestring
slugstring
contentstring

Markdown body

excerptstring | null
created_by_user_idstring | null

Format: uuid.

mcp_client_namestring | null
created_atstring | null

Format: date-time.